# Interface AccessWatchpointEvent

All Superinterfaces:
  `Event, Locatable, LocatableEvent, Mirror, WatchpointEvent`

public interface AccessWatchpointEvent extends WatchpointEvent
Notification of a field access in the target VM. Field modifications are not considered field accesses.

Since:
  1.3
See Also:
  - `EventQueue`
  - `VirtualMachine`

- ## Method Summary

  ### Methods declared in interface Event

  `request`

  ### Methods declared in interface Locatable

  `location`

  ### Methods declared in interface LocatableEvent

  `thread`

  ### Methods declared in interface Mirror

  `toString, virtualMachine`

  ### Methods declared in interface WatchpointEvent

  `field, object, valueCurrent`